Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.corbaloc
Interface CorbalocServiceOperations

All Known Subinterfaces:
  CorbalocService

All Known Implementing Classes:
  CorbalocServicePOA, ForwardAdapter

public interface CorbalocServiceOperations

The initial references service. Used for registering references to be resolved as corbaloc addresses.

Method Summary
`Object` | `get(java.lang.String initRef)` Resolve using the given string.
`java.lang.String` | `put_object(Object object, java.lang.String path)` Registers an object under the supplied path and returns the corresponding corbaloc URL in the form of a string.
`void` | `put(java.lang.String initRef, Object obj)` Add a new initial reference.
`void` | `register(byte[] key, Object obj)` Add a new initial reference.
`Object` | `resolve(byte[] key)` Resolve using given byte array.

Method Detail

### get

    public Object get(java.lang.String initRef)

  Resolve using the given string. Used by JDK clients.
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### put

    public void put(java.lang.String initRef,
                    Object obj)

  Add a new initial reference. Redirect will be nonpermanent.
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object.
  Throws:
    `BAD_PARAM` - if the initial reference already exists.

### put_object

    public java.lang.String put_object(Object object,
                                       java.lang.String path)

  Registers an object under the supplied path and returns the corresponding corbaloc URL in the form of a string.
  Parameters:
    `path` - String name of initial reference. Should be RFC2396 encoded.
    `object` - the object to register
  Returns:
    String the corbaloc URL
  Throws:
    `BAD_PARAM` - if the supplied object is null.

### resolve

    public Object resolve(byte[] key)

  Resolve using given byte array.
  Parameters:
    `key` - Initial reference key.
  Returns:
    the target object.
  Throws:
    `BAD_PARAM` - if the initial reference does not exist.

### register

    public void register(byte[] key,
                         Object obj)

  Add a new initial reference.
  Parameters:
    `initRef` - String name of initial reference. Should be RFC2396 encoded.
    `obj` - the target object. Null to unbind.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD